GNU bug report logs - #58515
29.0.50; [PATCH] Fix menu bar height

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Manuel Giraud <manuel@HIDDEN>; Keywords: patch; dated Fri, 14 Oct 2022 14:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58515 <at> debbugs.gnu.org:


Received: (at 58515) by debbugs.gnu.org; 15 Oct 2022 08:29:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 04:29:45 2022
Received: from localhost ([127.0.0.1]:39354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojcYD-0003ke-BH
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 04:29:45 -0400
Received: from sonic310-23.consmr.mail.ne1.yahoo.com ([66.163.186.204]:42037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ojcYA-0003kL-80
 for 58515 <at> debbugs.gnu.org; Sat, 15 Oct 2022 04:29:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665822574; bh=X7FeEM8IXt4mH333ZBXh+St8L242ip5frNATsqvaZow=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=AI60CA9LiQMGWlWAvxvKtUqfgbFtrST1atkInqAx3VmMjWOK+jRV7YRCJxRtSZ4LjiUPd0j68pPwX5ZfTLLvZfK2AKp2CCRIF5+34+xS2U3wyzrq7CQ4cnhMXd1VCyd7vggpn+iqgtBe2Uh7xumzIA2S6TvfB6cp1OcweaQiwYYCZwPRE17jNmPJjGlxtQ8vXjBSCo6tufQ7tKrZ8BZ0p4ng9HoYXQNcwhtXZ3LKiZbOgqtb4MzfZXj0cLyIBV88+0KFIuNZffre+J/6Fa6puQatlwHWSQ12bNYIMqHsrW1hqHyn2s1KoeOcWaO6JBubqS7qFP/5TdOPH80Wx66z0g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665822574; bh=ZBEq1u7jEz/TD3L01/EvIpOfYflnxmhOQq5Ji0N8DFg=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=pu6N15zLbfLvlMP+BZt6FEgKXy67WGTzbM50YhHHZkuWSU5boA+QQhB942F7AiNpSZcv+Bcfhnt+SAzD/RuedyQ8/5RlrMYMra+lQoaSqzKOQyT1CU/PMgoF8wygNpizO1ZdlYQDJYH3RwRSgEOnPoARVtVVcR8eamiJ8xQz4uGxvbchpul97Dsz+AVgg/7r0DuczyTFVaFv6TOcIgjj+hy8Grby6vCngj1lyfQ6DNQQavfzUxrb3yBCF+i0QCeW0lW/SsUMLBE0MDKOa/R0KSS8cDr6dbgJZ0bQMjYQe+YjoJcz7tHkLUIkvYLgLd6qBbNrJMWb2o8NxYmfH1/t8g==
X-YMail-OSG: OuK7IOgVM1kg3oNGNjogyFzG82IQ8CdS2HVvg_Y.AcL1Xy0kR3NskdVg_QAUlTU
 ds09AdsjfmptJt4IZ4lQdvcd2T7dc02Q.WvUieJnvKpnHPN.kw1MwrrpmXhZnlBR04nrcaufS1kz
 qWU8ha_c.GBTo49pM.NF3Fvrar3d35zXN_k8eS20m1ZrP5VnMR9a5OUy0_hHxB2mCsR3ZiYZ6ydz
 aHezwagT9wFFY9uL7PDOVYrbsc1Q68sB3qmzlDFi0tA0X9BVx.HZhn0D0a26mcoaSF2ESCDT2l2J
 .5_TMfBX3Sot5Vli1C6.YY4hZq4g7VmPLdz3aTpjrO.5tMq8QRNRJC.p9aLTPcrfmjmOdNz7btX9
 EV8l0p4HhzwFvWK0Z4kHlKZdUP3aTgqyVHmXX6jDa9uft1eAgJ1ZM2PDeh924_IWZWTZbn0fv3HY
 fRl3cy4DYb1jdLVjaeiaSFDSkJX1nac8FbtQz6GixE8PHKb1y9z3f9vj_l1Ziq2jR1CLUdCg4QSi
 hf2EJ5UJGDGy1nsdHmiCtMcdwYMVZXuW0P2amBGtTDlSO6yKE.g53skbVP2VehAN.YIuGT9SjzKm
 U_iuQSpIgBzsJPv0agxHugOWKLI2DdyJvbWzbaYEmWYh851dF0OU9GQSaXyzH5CYQ9Zs1e4vJDrs
 O2opHM7nvzkigv4GHWRp5hthLxhsNH6pThRnFdubarQJ7Na.umOq1KXuGC2geEFc27hW.DklwuBz
 G_8460e0CMDYW.6arXxutXNNV.pcrO5n7PwNulLBYdZEINaJ1ltNwXygPK78AhhcrHUfjhc2FAYO
 Y6N0ky3hoUskb39UzYstMkodGR8_tZExatuHOXf37uZsIzX0bBNyYzvtFf8Y0f_ZqA9FaLjE1K2t
 kVMjlZvT2xOyso9URqqnaNDv06NwYQUVoxAOfqKFz_cR_Jo0c7SA051UpiWm9wtP.KZVYggZvxJV
 MK1MXi4VGZhYr4e5AUkJPpN2doFAMccChywvDe0SSmOhsY2o.7wNq2aHSR9gBiLYJegsypNzxKhS
 hJDHJBfcYZgmxNJ3mlg0Ui7P09hUIM0yooPB8a_k72E54wkIznecNsU014yq5zwIhPOz5egW1lRM
 fgvDAXCeIkawbKLAJaV4cPGA9TQVE5uZ6cnGu_o1YrOvhCBTZk3QUIUOBkP._9sts5zGnDp0b.cN
 s3TNRU8w49f.NOOIfTGLnlhvZ1tnKktDFJHYRDLoVJvucHuHMWXPydOSZPxUWt1HoSszxUBHbXVP
 RdGcjbdZ4BZHBcdhppf4G6fDsrFFptnVRw546cW2RpYfgpjJ_6CUhATMYahxT4i65VfKKmVixfCj
 dd70GjEheL1drqnJxMeBJPZaQjZxh.S44x3_ldKGfgTFpvS3v.ZWLXHUKZVqs9tX2OeGIS6xTW2o
 Sg8LTIRGAXVjVmA2U.Xl3Dc76HIuZshd7.gp7qIizGpVnz2P4Ce5eeI0mZISYI3yvNMx7VfhXxq_
 Qlpv2KkLFgSyCrOpZN5phbSNGrZDhsV56Px9Z5wkKgoI6TStKr47gp5kMgp200EoLbqYUSlEzVon
 asRhH4EZ5daAcOve.n6tiwTZPAqfnOOkdSpJBf1qW0PFTpDCi8co6eEPCtZlrQ58W5vRZS3qjHfe
 pHDS0YOAdzaSXszhA_EVInfJvxf0Z5MbyQVJYKe8fNquNSY77A3V2aBUZyKaBEzoG2bXdvNJ5WSR
 rCIszIIq_WnDRnXcQbBgbIlTO7.8_5e3ufv88uwVIni6unpkbaayLA2GLe2yIQKDwei_x..W0GE4
 51DVRYu7mtg6vrpxeB3k_Mfdpw3KBHXxuFjQTgVhlS1jdVpf1ChSHcvXURuT.AU_cuV2dUSLqYWA
 mtDyMyEB4kSfpLHR6Sl6qeCu5fgS8JVjFlFGm7tpiz2YbnBguy_j9l510VwnPhZz52yTV2ZjjR4e
 VHD1WaTovZeI6Ojpc1FjOIoiNI0gijWqQ8mscdytSAr2rh3_6QI4Xpvh7czy0xvpGUAIJlsP6lbX
 MDjSj9mreqofkM2EC6LM6xLjOEKEgkZe_Im9e0iCLVh4TMnkkLlo921MNBnskXX3bwnPYZgLe4jx
 kgibvD8PT0ZXF1x4_hnsfHokI4swh_dzd_QNCbxTSAOpojQSvNurdM7sN_9Q_9syxswqmif.jrcm
 pjmt9XkVbcgYJHJCfnXGL.wfvT9mBd8hJB758bvVvFKw0eLgscpyfUHBpiDj04xCcv5EXCzlgT7f
 cQfsSkcOHiY1a3O2eg6pF62nnOFKwLTpGzM2.ZhNxS7wDPbPE8enN1gEtlJZGuBmeYACknGg1lg-
 -
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Sat, 15 Oct 2022 08:29:34 +0000
Received: by hermes--production-sg3-785466d859-wjldb (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID da840e9b0b3c70ca5e0a07d3bb40de68; 
 Sat, 15 Oct 2022 08:29:29 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#58515: 29.0.50; [PATCH] Fix menu bar height
In-Reply-To: <87czattrrg.fsf@HIDDEN> (Manuel Giraud's message of "Sat,
 15 Oct 2022 10:28:35 +0200")
References: <87tu46v543.fsf@HIDDEN> <878rlhsw87.fsf@HIDDEN>
 <87czattrrg.fsf@HIDDEN>
Date: Sat, 15 Oct 2022 16:29:25 +0800
Message-ID: <871qr9pk0q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20740
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 584
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58515
Cc: 58515 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> Po Lu <luangruo@HIDDEN> writes:
>
> [...]
>
>> Thanks.  I think the latter two should be fixed first before installing
>> this; also, menu bar height computation is rather tricky in its
>> interaction with various window managers, so I'd wait until after the
>> Emacs 29 branch is cut.
>
> Ok.  I'll try to keep this around for Emacs 30 then.  In the mean time,
> I'll also try to advance on those last two points.
>
>> Also, please move the changes to xterm.c to xfns.c.
>
> Ok.  I'll change this and post to this report.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58515; Package emacs. Full text available.

Message received at 58515 <at> debbugs.gnu.org:


Received: (at 58515) by debbugs.gnu.org; 15 Oct 2022 08:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 15 04:28:42 2022
Received: from localhost ([127.0.0.1]:39349 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojcXC-0003ir-0h
	for submit <at> debbugs.gnu.org; Sat, 15 Oct 2022 04:28:42 -0400
Received: from ledu-giraud.fr ([51.159.28.247]:14997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ojcXA-0003ii-0c
 for 58515 <at> debbugs.gnu.org; Sat, 15 Oct 2022 04:28:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=mTvIwHEwj9VtGVuW
 7i6VjIRvXTLvUsCfQISrtUMEtO8=;
 h=date:references:in-reply-to:subject:
 cc:to:from; d=ledu-giraud.fr; b=C0LCaCVVaXLRRo4Q2HGThvhDHs1FXy0Wx7HW4i
 13KsNw25/tReX/kgrNtq1KOr5dwdszZMHqJM+xb6N+TurzWjJHzR8RF5rOf4EpXmCMrg2j
 6s9j/5entfEPIlIMzRlpkhR6CX001/3NYhh4oJJppsjnkKlwaqPPJ/npiIPCDSBcmXp/U1
 f+Si+nLQxtFD4+um7APNcTcNwTL/jwTShK3EO+R9x+MtI59g/bPn8gpdO6aNMnFRnUEUcW
 GhqoXKrxmmWcRWfST0yVY5bmPn2f4M6HjwizIu4xuqefbQyTRj34WCwMjjaE4+IVaL56Yg
 s02101Ghe4uf9Mc8xOXeYlnA==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 82c3fd6e
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO); 
 Sat, 15 Oct 2022 10:28:38 +0200 (CEST)
From: Manuel Giraud <manuel@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#58515: 29.0.50; [PATCH] Fix menu bar height
In-Reply-To: <878rlhsw87.fsf@HIDDEN> (Po Lu's message of "Sat, 15 Oct 2022
 09:37:28 +0800")
References: <87tu46v543.fsf@HIDDEN> <878rlhsw87.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
Date: Sat, 15 Oct 2022 10:28:35 +0200
Message-ID: <87czattrrg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58515
Cc: 58515 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu <luangruo@HIDDEN> writes:

[...]

> Thanks.  I think the latter two should be fixed first before installing
> this; also, menu bar height computation is rather tricky in its
> interaction with various window managers, so I'd wait until after the
> Emacs 29 branch is cut.

Ok.  I'll try to keep this around for Emacs 30 then.  In the mean time,
I'll also try to advance on those last two points.

> Also, please move the changes to xterm.c to xfns.c.

Ok.  I'll change this and post to this report.

Best regards,
-- 
Manuel Giraud




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58515; Package emacs. Full text available.

Message received at 58515 <at> debbugs.gnu.org:


Received: (at 58515) by debbugs.gnu.org; 15 Oct 2022 01:37:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 21:37:45 2022
Received: from localhost ([127.0.0.1]:39035 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojW7U-0000p8-IN
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 21:37:44 -0400
Received: from sonic315-21.consmr.mail.ne1.yahoo.com ([66.163.190.147]:38176)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ojW7S-0000oq-66
 for 58515 <at> debbugs.gnu.org; Fri, 14 Oct 2022 21:37:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665797855; bh=ZeARWid8npKDXvzmMaLOCbAFNmXiznsjSBg8o1Rk18k=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=rWXEJAxu/NoviJ+F7C/iw/sKpsD7dNOg9NKg3yZdaNGDHwbTdAKCKL61JPOoD4d0DQVh2XzGHfbZsDsrcXa9tzh8E2+PnU5VsVby559iXG77MPQWklQ4EnMKUyi43GVA4CRPsrMEa/N61RkwbSKNBBV682SPjKfRYM8V7lVGyggFiLzKHbIrvhsxGK70lINdoUXNKs/fl3Oiv2082fOy5FtqnphhjMRI6MyS4hruKuHHgWQYCC5IN+4Bg+nrn5G7jaq5rINflRJK3hmqE+jw1gMLHbXqhyTHYoMsKm5wp5v3tJ3omcxWZQK5p12M6bnX5FClJPjls/VnGt5yIRHNmA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1665797855; bh=S7l7duNlmzinu4r4YiZu0YSpON7KtSHxAXPEKE+dFMF=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=ofRAGWwemgn1ZElQ3iMNrDQj7SrBh7WcQCFlMcmBLuBzBj9keShchw0wSXTBYAgNG8iDoVIjB2+rqHegfdNf5S6QcJHFM00zDPf/9q3B6wVsYCOTkGHAFtikZwuYMoGtM1/Sr74Fx1havAOYE2FzyidoXAnK54pTtLHgf5sQFLtSUsb/+Wsnp18P7jyYoEAzT36C+k09URijs/+ZUUR5gedI86PR58UIMOTWnkoVUp7PJMPbalBGogJdGgsUAVANNMerR4tswOD/oAut3/87Te7VhujFQ65qIvOoE7yE0L8w7qenWzXw+lhWhCYzaYXfxL1APb24v5Hc8iZy7Pvihw==
X-YMail-OSG: Q6HjIlUVM1lim_wtHTL6FHzVkvDnuj5W50tyxFLo.Wj.pHzNK97UH1h8x9I.YxQ
 g3txK6qSaEtjW7P_FxvNaQEKPM3j8B_7CiYVGaNfxUr15U1oK98u.kEvYd_cg86UGXvKvkyzk6zj
 gk98ZPTzmr8yUj4qLQ6tBNqVFmht0WC_OBZrJPiWHsPdyrXqt.qOoSIOWDYNXOAoRzBRry_gVlWz
 WA5vHAVvW014sRxzSD.jQ1FPxVz73ELyY4gsumt7hgM6B0fx0MhSu3XI0rqA5Mmm92edqOpmFGwy
 t6ognzjMr4SwBLKN7ndskVPbdQW_mW4qB0dGMCbGgRCkhol0nOmc_g7AcKFukNYtBJ5auqw7ZHQ.
 L_q_tzaqX2cJo.Q0ajVQVM3vPipIw7fNtbPw8LGDgiZS4gcXgGCXpqyIJ2jlDCBnVNIszVWfJL7P
 99fGucr9uf5JX0xsuKoXi3O8Uir8DrbZlpWQ7OV1fHavSU1w0eA22wKhchpBtl1qrI4RW3OUMMMm
 YMPXVwcUWLw4_MWEC802RascsGf8jxjv_otEYTlx15zNZtij26ruqvZIBRsTIKgejFEWNNzcFyNt
 BkRJzrbm5BtZKQAZOGtfBc9KJ5gLrGgpAfVT5UXIKoLJVQC8hbp1f6Gz7K10Ls0BkYfA38IoIM6X
 PPuCaBGdpLnyQShiia1NBrv.EcWbsNMKArKcZ0vuKIWUQySyDQxf88uQfs7bk6jNaEaop7N0LP2m
 R43M3_VgwPprsL2n6UNRi8q.R77IAH3R8Z9KrfgSr7YEwIuZ6.bhTASTKM2WIol.n177jkDxELVr
 aduI6nt3O4CkpkrYyF721GcbDXoGj5fCLub5flXpy9HbMnBAaenKabcdFdt7O5r.3OXAZQdx_0qP
 aGvQoQJbD3zZpWHeK4Ib8joIBL4g_2j.cdK2UsVKRUEELh_FEFiR6x6q2cpgQCCGNZxluw8_Azmv
 2bWd5pG2OvaC4QlIhlf8Dx4KokGsFaISDUj_qDtykJ5mFg9l2BIIQeCsOpZuvJa7Kpj7rHC1ljv2
 1et.8ct5mntLLi8WrYi51NrYDtpcolLbg6Rc.WoxbjoIzh_ChNDhykUTg3BlcVd7fB_bvF_JFZ4y
 1Pb7as5bTzRmDp1Ccr9O3eY8FN8l60WZNrQw93ZvrN2xbWgU6uNm82q74ga7MlOXgUN9ki8_MkJK
 kDAgePbShD1TPn00YoOSDWN5atvUajjvXkS3EJWFWN2RAhiHP_7joF9JSNnuewgVqt8_b.kqvH_X
 UNUYXMlereuRwnyFSOjJl_UjdQQxwOZu3UPvMPd.wWBqqg7ydqFhRSbd.gORh8SpdScC9R80U2xD
 5AEl1ipQn.6bcgWu_Hjo_g8CzRxeCL4kQSEP_9BBYKc8ySh0Q2jKWgNQ3_zfvAGaadywZOXQHSAD
 aXad2FkRxWhMplHyVZYVkAYC9dULJGwGsXx5S7hb7DDuH7zk6_idB8.nMdOkwggzbzbNgHqpigjy
 e5EnF2Vfn3gCd94K.Ik4e49TzuSTkQX_ha8tkSHWce35TPU25WM_kLZEtv1PHcUdcdWT2ShNaY4.
 H5lyH0u5DceSk86Tn4.v2imoKhxJb6bsoTh6A4OjBliUsbY7V0KW_lnGwUpTl4cX5neVIJ9oLmaZ
 ErzyN0K2PSNWv20Isoa_xSU5c1fAaf1XGptjcwEuRQz7RnJCnMqXpJ4L_or4QusA01pzucK_WXV0
 cFYz_0UYzNZAW_npDHPd7VScycHvlTW3EMueGHLRnFcQHD8L0OaT42fScOsOm3Ktcxig121VOtMy
 gNRedq6FTabPUfZLdMTXVv.R.o0z1aDWSYzVgCK3Rlh8E5j._.5zuIXWJsOaV2YnCAPrZIUY6NZi
 4XuPHtclVGjJ.ImNa0H.vKFvQa6kEOYtvn0TBbQEg5MXxONmvnm4XaIecIzBkbJnyYEC9EW1VnUY
 iebpbWXt8whfhWRZDv1yyJ2TPGBoBfhqYUrgmHfl6_BpCdDrlwJDzjODgMmRvcy1ZrjCvhg.ZvyD
 Fs1roawVSo71eX1KEhK8Yjo9bJZxfRNVkJJHkemkJEZ2Ax3yksl5NVvgjnswF8pH_U4U7kPBud5u
 m8tyeIM1kjb2Lo3Fvwf8ERPKrxPW4HMPNiiApKb64Y3tPrjjzU4mx7ImtAHyBg1PpjbBwmPF.SZ7
 tkXV4A8milvwI92FKjvxXgM_1oCjmVpUstYd3VwD4.ObxZZvjMnJn6doO2q76oTUFCKEhKNkNFyJ
 VdcbFQezl4dxro_P7qwE9N699S.Iou7TzUvbvi4TKpGug4lZUpoAQULPUQJLcDrYmj83Cg5BtYQ-
 -
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Sat, 15 Oct 2022 01:37:35 +0000
Received: by hermes--production-sg3-785466d859-nkfcl (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 8253a8cde5afe32906da880aaecce6ef; 
 Sat, 15 Oct 2022 01:37:32 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Manuel Giraud <manuel@HIDDEN>
Subject: Re: bug#58515: 29.0.50; [PATCH] Fix menu bar height
In-Reply-To: <87tu46v543.fsf@HIDDEN> (Manuel Giraud's message of "Fri,
 14 Oct 2022 16:42:36 +0200")
References: <87tu46v543.fsf@HIDDEN>
Date: Sat, 15 Oct 2022 09:37:28 +0800
Message-ID: <878rlhsw87.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20740
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 909
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58515
Cc: 58515 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Manuel Giraud <manuel@HIDDEN> writes:

> Hi,
>
> This patch tries to fix height calculation for menu bar in X when not
> using a toolkit.  It is taking into account the fact that the menu bar
> face could be boxed.
>
> There are others issues left (i.e. not handled by this patch):
>
>       - a customization of the menu face does not trigger a redisplay,
>         so one has to deactivate/re-activate the menu bar in order to
>         update (I don't know how this is done for other faces)
>         
>       - with a boxed menu bar face, the box is not displayed correctly
>         on the right side of the bar

Thanks.  I think the latter two should be fixed first before installing
this; also, menu bar height computation is rather tricky in its
interaction with various window managers, so I'd wait until after the
Emacs 29 branch is cut.

Also, please move the changes to xterm.c to xfns.c.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58515; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2022 14:42:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 14 10:42:52 2022
Received: from localhost ([127.0.0.1]:38285 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ojLtk-0005h3-5f
	for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 10:42:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:38998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <manuel@HIDDEN>) id 1ojLth-0005gv-Pq
 for submit <at> debbugs.gnu.org; Fri, 14 Oct 2022 10:42:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44274)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel@HIDDEN>)
 id 1ojLtf-0001u0-7L
 for bug-gnu-emacs@HIDDEN; Fri, 14 Oct 2022 10:42:48 -0400
Received: from ledu-giraud.fr ([51.159.28.247]:7219)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <manuel@HIDDEN>)
 id 1ojLta-0002YD-RE
 for bug-gnu-emacs@HIDDEN; Fri, 14 Oct 2022 10:42:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; s=rsa; bh=Hsn3HQZYxTm5N/kO
 g00LwyfysM+VGXtj5BCLetRl+84=; h=date:subject:to:from;
 d=ledu-giraud.fr; b=jB1k2hUhWztwdJ8tWkZVXFvXywE6liavcMGTvZB72JJBdV0yfU
 5vQbHiqmTz2XVp878ma9o0VUs1QCY6y60Ls5dxjU9n6dkJvMO6Xz+QqeDmHtPmcDLENnf6
 JSYneskQlxuEQgiG89AQrowWw52nCYRHI9Gb6j916rdWq0jTXsGBjsCr8PmCECaWCU2kxC
 0pkFPUvBmHwMlee/qW0h+DPaZp7b/nfAR1H8v1+3Q2Y0fpuQdbtUzZQg2bu0mJB26HnhUV
 LGqZcIFKkt48rmcYHmeq/PHFXfxbIPuQzvoaadLZybfgcj2KZv9F4C9eThFzt9I4Nvl24R
 NLGxX6jRnHzQ==
Received: from elite.giraud (<unknown> [10.1.1.1])
 by ledu-giraud.fr (OpenSMTPD) with ESMTPSA id 5c177b78
 (TLSv1.3:TLS_AES_256_GCM_SHA384:256:NO) for <bug-gnu-emacs@HIDDEN>;
 Fri, 14 Oct 2022 16:42:37 +0200 (CEST)
From: Manuel Giraud <manuel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; [PATCH] Fix menu bar height
Date: Fri, 14 Oct 2022 16:42:36 +0200
Message-ID: <87tu46v543.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=51.159.28.247; envelope-from=manuel@HIDDEN;
 helo=ledu-giraud.fr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


Hi,

This patch tries to fix height calculation for menu bar in X when not
using a toolkit.  It is taking into account the fact that the menu bar
face could be boxed.

There are others issues left (i.e. not handled by this patch):

      - a customization of the menu face does not trigger a redisplay,
        so one has to deactivate/re-activate the menu bar in order to
        update (I don't know how this is done for other faces)
        
      - with a boxed menu bar face, the box is not displayed correctly
        on the right side of the bar


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Fix-menu-bar-height-for-with-x-toolkit-no.patch

From 100ed84198cd97664a94e89d1730e97b1fabbbb9 Mon Sep 17 00:00:00 2001
From: Manuel Giraud <manuel@HIDDEN>
Date: Fri, 14 Oct 2022 16:24:10 +0200
Subject: [PATCH] Fix menu bar height for --with-x-toolkit=no

* src/xterm.c (x_menu_bar_height): New function to compute menu
bar height with menu face and boxed information.
(x_new_font): Use it.

* src/xfns.c (x_set_menu_bar_lines): Use it.
---
 src/xfns.c  |  2 +-
 src/xterm.c | 25 ++++++++++++++++++++++++-
 src/xterm.h |  1 +
 3 files changed, 26 insertions(+), 2 deletions(-)

diff --git a/src/xfns.c b/src/xfns.c
index 9112448899..3d93a6a207 100644
--- a/src/xfns.c
+++ b/src/xfns.c
@@ -1674,7 +1674,7 @@ x_set_menu_bar_lines (struct frame *f, Lisp_Object value, Lisp_Object oldval)
     }
 #else /* not USE_X_TOOLKIT && not USE_GTK */
   FRAME_MENU_BAR_LINES (f) = nlines;
-  FRAME_MENU_BAR_HEIGHT (f) = nlines * FRAME_LINE_HEIGHT (f);
+  FRAME_MENU_BAR_HEIGHT (f) = nlines * x_menu_bar_height (f);
   if (FRAME_X_WINDOW (f))
     x_clear_under_internal_border (f);
 
diff --git a/src/xterm.c b/src/xterm.c
index 9059ad7136..c3bc494667 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -25464,6 +25464,29 @@ x_io_error_quitter (Display *display)
 
 /* Changing the font of the frame.  */
 
+int
+x_menu_bar_height (struct frame *f)
+{
+  int font_ascent = 0;
+  int font_descent = 0;
+  int height = 0;
+
+  recompute_basic_faces (f);
+  if (FRAME_FACE_CACHE (f))
+    {
+      struct face *face = FACE_FROM_ID_OR_NULL (f, MENU_FACE_ID);
+      if (face && face->font)
+	{
+	  height += (face->box_horizontal_line_width > 0)
+	    ? (face->box_horizontal_line_width * 2)
+	    : 0;
+	  get_font_ascent_descent (face->font, &font_ascent, &font_descent);
+	}
+    }
+
+  return (height + font_ascent + font_descent);
+}
+
 /* Give frame F the font FONT-OBJECT as its default font.  The return
    value is FONT-OBJECT.  FONTSET is an ID of the fontset for the
    frame.  If it is negative, generate a new fontset from
@@ -25490,7 +25513,7 @@ x_new_font (struct frame *f, Lisp_Object font_object, int fontset)
   FRAME_LINE_HEIGHT (f) = font_ascent + font_descent;
 
 #ifndef USE_X_TOOLKIT
-  FRAME_MENU_BAR_HEIGHT (f) = FRAME_MENU_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
+  FRAME_MENU_BAR_HEIGHT (f) = FRAME_MENU_BAR_LINES (f) * x_menu_bar_height (f);
 #endif
   /* We could use a more elaborate calculation here.  */
   FRAME_TAB_BAR_HEIGHT (f) = FRAME_TAB_BAR_LINES (f) * FRAME_LINE_HEIGHT (f);
diff --git a/src/xterm.h b/src/xterm.h
index b68a234faa..5b914d48da 100644
--- a/src/xterm.h
+++ b/src/xterm.h
@@ -1595,6 +1595,7 @@ #define SELECTION_EVENT_TIME(eventp)	\
 extern void x_ignore_errors_for_next_request (struct x_display_info *);
 extern void x_stop_ignoring_errors (struct x_display_info *);
 extern void x_clear_errors (Display *);
+extern int x_menu_bar_height (struct frame *);
 extern void x_set_window_size (struct frame *, bool, int, int);
 extern void x_set_last_user_time_from_lisp (struct x_display_info *, Time);
 extern void x_make_frame_visible (struct frame *);
-- 
2.38.0


--=-=-=
Content-Type: text/plain


Best regards,


In GNU Emacs 29.0.50 (build 1, x86_64-unknown-openbsd7.2, cairo version
 1.17.6) of 2022-10-14 built on elite.giraud
Repository revision: 820e6f399d0af56ebfdc581f68424f4cb9cbe53b
Repository branch: mgi/play
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: OpenBSD elite.giraud 7.2 GENERIC.MP#778 amd64

Configured using:
 'configure --prefix=/home/manuel/emacs --bindir=/home/manuel/bin
 --with-x-toolkit=no --without-sound --without-compress-install
 CPPFLAGS=-I/usr/local/include LDFLAGS=-L/usr/local/lib'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBOTF LIBXML2 MODULES NOTIFY KQUEUE OLDXMENU PDUMPER PNG RSVG
SQLITE3 THREADS TIFF WEBP X11 XDBE XIM XINPUT2 XPM ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Change Log

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  icomplete-mode: t
  display-time-mode: t
  display-battery-mode: t
  shell-dirtrack-mode: t
  global-so-long-mode: t
  repeat-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  line-number-mode: t
  auto-fill-function: do-auto-fill
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/manuel/.el/exwm/exwm hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm
/home/manuel/.el/exwm/exwm-xim hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-xim
/home/manuel/.el/exwm/exwm-workspace hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-workspace
/home/manuel/.el/exwm/exwm-randr hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-randr
/home/manuel/.el/exwm/exwm-manage hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-manage
/home/manuel/.el/exwm/exwm-layout hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-layout
/home/manuel/.el/exwm/exwm-input hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-input
/home/manuel/.el/exwm/exwm-floating hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-floating
/home/manuel/.el/exwm/exwm-core hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-core
/home/manuel/.el/exwm/exwm-config hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-config
/home/manuel/.el/exwm/exwm-cm hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-cm
/home/manuel/.el/exwm/exwm-systemtray hides /home/manuel/.emacs.d/elpa/exwm-0.26/exwm-systemtray
/home/manuel/.emacs.d/elpa/transient-20220918.2101/transient hides /home/manuel/emacs/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug whitespace gnus-dired magit-patch
sh-script smie hideshow executable find-dired ffap misearch
multi-isearch vc-git vc-dispatcher vc-svn bug-reference tmm cus-start
pulse magit-extras face-remap magit-bookmark magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func imenu magit-diff
smerge-mode diff diff-mode git-commit log-edit pcvs-util add-log
magit-core magit-autorevert autorevert filenotify magit-margin
magit-transient magit-process with-editor magit-mode transient magit-git
magit-base magit-section dash compat-27 compat-26 compat compat-macs
paredit edmacro icomplete time battery exwm-randr xcb-randr exwm-config
exwm exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor
xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb
xcb-xproto xcb-types xcb-debug kmacro server stimmung-themes
modus-operandi-theme modus-themes ytdious osm mingus libmpdee reporter
edebug debug backtrace transmission diary-lib diary-loaddefs color
calc-bin calc-ext calc calc-loaddefs rect calc-macs w3m-load mu4e
mu4e-org mu4e-main mu4e-view mu4e-headers mu4e-compose mu4e-draft
mu4e-actions smtpmail mu4e-search mu4e-lists mu4e-bookmarks mu4e-mark
mu4e-message flow-fill mule-util hl-line mu4e-contacts mu4e-update
mu4e-folders mu4e-server mu4e-context mu4e-vars mu4e-helpers mu4e-config
bookmark ido supercite regi ebdb-message ebdb-gnus gnus-msg gnus-art
mm-uu mml2015 mm-view mml-smime smime gnutls dig gnus-sum shr pixel-fill
kinsoku url-file svg dom gnus-group gnus-undo gnus-start gnus-dbus
gnus-cloud nnimap nnmail mail-source utf7 nnoo gnus-spec gnus-int
gnus-range message sendmail yank-media puny rfc822 mml mml-sec epa epg
rfc6068 epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231
rfc2047 rfc2045 ietf-drums gmm-utils mailheader gnus-win gnus nnheader
gnus-util mail-utils range mm-util mail-prsvr ebdb-mua ebdb-com crm
ebdb-format ebdb mailabbrev eieio-opt speedbar ezimage dframe eieio-base
pcase timezone org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete org-list org-faces
org-entities org-version ob-emacs-lisp ob-core ob-eval org-table
oc-basic bibtex ol org-keys oc org-compat org-macs org-loaddefs
find-func cal-menu calendar cal-loaddefs visual-basic-mode cl web-mode
disp-table erlang-start smart-tabs-mode skeleton cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
slime-asdf grep slime-tramp tramp tramp-loaddefs trampver
tramp-integration cus-edit cus-load wid-edit files-x tramp-compat rx
shell pcomplete parse-time iso8601 time-date ls-lisp format-spec
slime-fancy slime-indentation slime-cl-indent cl-indent
slime-trace-dialog slime-fontifying-fu slime-package-fu slime-references
slime-compiler-notes-tree slime-scratch slime-presentations advice
bridge slime-macrostep macrostep slime-mdot-fu slime-enclosing-context
slime-fuzzy slime-fancy-trace slime-fancy-inspector slime-c-p-c
slime-editing-commands slime-autodoc slime-repl elp slime-parse slime
derived cl-extra help-mode lisp-mnt gud apropos compile
text-property-search etags fileloop generator xref project arc-mode
archive-mode noutline outline icons pp comint ansi-osc ansi-color ring
hyperspec thingatpt slime-autoloads dired-aux dired-x dired
dired-loaddefs so-long notifications dbus xml repeat easy-mmode
auctex-autoloads tex-site boxquote-autoloads debbugs-autoloads
hyperbole-autoloads magit-autoloads git-commit-autoloads
magit-section-autoloads dash-autoloads paredit-autoloads
rust-mode-autoloads stimmung-themes-autoloads transient-autoloads
with-editor-autoloads info compat-autoloads ytdious-autoloads package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie generate-lisp-file url-domsuf url-util mailcap url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs password-cache
json subr-x map byte-opt gv bytecomp byte-compile cconv url-vars
cl-loaddefs cl-lib rmc iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
kqueue lcms2 dynamic-setting system-font-setting font-render-setting
cairo xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 811685 71052)
 (symbols 48 57973 6)
 (strings 32 176669 9548)
 (string-bytes 1 5791024)
 (vectors 16 102826)
 (vector-slots 8 1742825 122739)
 (floats 8 530 454)
 (intervals 56 16815 580)
 (buffers 1000 36))

-- 
Manuel Giraud

--=-=-=--




Acknowledgement sent to Manuel Giraud <manuel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58515; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Oct 2022 08:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.